[v2] drivers: remove mlx* glue libraries separate ABI version
diff mbox series

Message ID 20201019094151.30185-1-david.marchand@redhat.com
State Accepted, archived
Delegated to: Raslan Darawsheh
Headers show
Series
  • [v2] drivers: remove mlx* glue libraries separate ABI version
Related show

Checks

Context Check Description
ci/iol-mellanox-Performance success Performance Testing PASS
ci/Intel-compilation success Compilation OK
ci/travis-robot success Travis build: passed
ci/iol-intel-Performance success Performance Testing PASS
ci/iol-intel-Functional success Functional Testing PASS
ci/iol-testing success Testing PASS
ci/iol-broadcom-Functional success Functional Testing PASS
ci/iol-broadcom-Performance success Performance Testing PASS
ci/checkpatch success coding style OK

Commit Message

David Marchand Oct. 19, 2020, 9:41 a.m. UTC
The glue libraries are tightly bound to the mlx drivers of a dpdk version
and are packaged with them.

Keeping a separate ABI version prevents us from installing two versions of
dpdk.
Maintaining this separate version just adds confusion.
Align the glue library ABI version to the global ABI version.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 drivers/common/mlx5/linux/meson.build | 2 +-
 drivers/common/mlx5/linux/mlx5_glue.h | 1 -
 drivers/net/mlx4/meson.build          | 2 +-
 drivers/net/mlx4/mlx4_glue.h          | 1 -
 4 files changed, 2 insertions(+), 4 deletions(-)

Comments

David Marchand Oct. 27, 2020, 12:13 p.m. UTC | #1
On Mon, Oct 19, 2020 at 11:42 AM David Marchand
<david.marchand@redhat.com> wrote:
>
> The glue libraries are tightly bound to the mlx drivers of a dpdk version
> and are packaged with them.
>
> Keeping a separate ABI version prevents us from installing two versions of
> dpdk.
> Maintaining this separate version just adds confusion.
> Align the glue library ABI version to the global ABI version.
>
> Signed-off-by: David Marchand <david.marchand@redhat.com>

Review?
Thomas Monjalon Nov. 1, 2020, 2:48 p.m. UTC | #2
19/10/2020 11:41, David Marchand:
> The glue libraries are tightly bound to the mlx drivers of a dpdk version
> and are packaged with them.
> 
> Keeping a separate ABI version prevents us from installing two versions of
> dpdk.
> Maintaining this separate version just adds confusion.
> Align the glue library ABI version to the global ABI version.
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>

There was no comment after 2 weeks, it should be merged.

Acked-by: Thomas Monjalon <thomas@monjalon.net>
Slava Ovsiienko Nov. 1, 2020, 3:02 p.m. UTC | #3
> -----Original Message-----
> From: Thomas Monjalon <thomas@monjalon.net>
> Sent: Sunday, November 1, 2020 16:49
> To: David Marchand <david.marchand@redhat.com>
> Cc: dev@dpdk.org; Matan Azrad <matan@nvidia.com>; Shahaf Shuler
> <shahafs@nvidia.com>; Slava Ovsiienko <viacheslavo@nvidia.com>; Raslan
> Darawsheh <rasland@nvidia.com>; Asaf Penso <asafp@nvidia.com>
> Subject: Re: [dpdk-dev] [PATCH v2] drivers: remove mlx* glue libraries separate
> ABI version
> 
> 19/10/2020 11:41, David Marchand:
> > The glue libraries are tightly bound to the mlx drivers of a dpdk
> > version and are packaged with them.
> >
> > Keeping a separate ABI version prevents us from installing two
> > versions of dpdk.
> > Maintaining this separate version just adds confusion.
> > Align the glue library ABI version to the global ABI version.
> >
> > Signed-off-by: David Marchand <david.marchand@redhat.com>
> 
> There was no comment after 2 weeks, it should be merged.
> 
> Acked-by: Thomas Monjalon <thomas@monjalon.net>
>
Looks safe and provides an automatic ABI version update for mlx*_glue modules.

Acked-by: Viacheslav Ovsiienko <viacheslavo@nvidia.com>
Raslan Darawsheh Nov. 1, 2020, 3:09 p.m. UTC | #4
Hi,

> -----Original Message-----
> From: dev <dev-bounces@dpdk.org> On Behalf Of David Marchand
> Sent: Monday, October 19, 2020 12:42 PM
> To: dev@dpdk.org
> Cc: NBU-Contact-Thomas Monjalon <thomas@monjalon.net>; Matan Azrad
> <matan@nvidia.com>; Shahaf Shuler <shahafs@nvidia.com>; Slava
> Ovsiienko <viacheslavo@nvidia.com>
> Subject: [dpdk-dev] [PATCH v2] drivers: remove mlx* glue libraries separate
> ABI version
> 
> The glue libraries are tightly bound to the mlx drivers of a dpdk version
> and are packaged with them.
> 
> Keeping a separate ABI version prevents us from installing two versions of
> dpdk.
> Maintaining this separate version just adds confusion.
> Align the glue library ABI version to the global ABI version.
> 
> Signed-off-by: David Marchand <david.marchand@redhat.com>
> ---
>  drivers/common/mlx5/linux/meson.build | 2 +-
>  drivers/common/mlx5/linux/mlx5_glue.h | 1 -
>  drivers/net/mlx4/meson.build          | 2 +-
>  drivers/net/mlx4/mlx4_glue.h          | 1 -
>  4 files changed, 2 insertions(+), 4 deletions(-)

Patch applied to next-net-mlx,

Kindest regards,
Raslan Darawsheh

Patch
diff mbox series

diff --git a/drivers/common/mlx5/linux/meson.build b/drivers/common/mlx5/linux/meson.build
index 9ef8e181d7..483df0e181 100644
--- a/drivers/common/mlx5/linux/meson.build
+++ b/drivers/common/mlx5/linux/meson.build
@@ -6,7 +6,7 @@  includes += include_directories('.')
 static_ibverbs = (get_option('ibverbs_link') == 'static')
 dlopen_ibverbs = (get_option('ibverbs_link') == 'dlopen')
 LIB_GLUE_BASE = 'librte_pmd_mlx5_glue.so'
-LIB_GLUE_VERSION = '20.02.0'
+LIB_GLUE_VERSION = abi_version
 LIB_GLUE = LIB_GLUE_BASE + '.' + LIB_GLUE_VERSION
 if dlopen_ibverbs
 	dpdk_conf.set('RTE_IBVERBS_LINK_DLOPEN', 1)
diff --git a/drivers/common/mlx5/linux/mlx5_glue.h b/drivers/common/mlx5/linux/mlx5_glue.h
index 42b2f61523..ace36c6b07 100644
--- a/drivers/common/mlx5/linux/mlx5_glue.h
+++ b/drivers/common/mlx5/linux/mlx5_glue.h
@@ -131,7 +131,6 @@  struct mlx5dv_var { uint32_t page_id; uint32_t length; off_t mmap_off;
 #define IBV_ACCESS_RELAXED_ORDERING 0
 #endif
 
-/* LIB_GLUE_VERSION must be updated every time this structure is modified. */
 struct mlx5_glue {
 	const char *version;
 	int (*fork_init)(void);
diff --git a/drivers/net/mlx4/meson.build b/drivers/net/mlx4/meson.build
index 5a25e11a7b..395776a495 100644
--- a/drivers/net/mlx4/meson.build
+++ b/drivers/net/mlx4/meson.build
@@ -11,7 +11,7 @@  endif
 static_ibverbs = (get_option('ibverbs_link') == 'static')
 dlopen_ibverbs = (get_option('ibverbs_link') == 'dlopen')
 LIB_GLUE_BASE = 'librte_pmd_mlx4_glue.so'
-LIB_GLUE_VERSION = '18.02.0'
+LIB_GLUE_VERSION = abi_version
 LIB_GLUE = LIB_GLUE_BASE + '.' + LIB_GLUE_VERSION
 if dlopen_ibverbs
 	dpdk_conf.set('RTE_IBVERBS_LINK_DLOPEN', 1)
diff --git a/drivers/net/mlx4/mlx4_glue.h b/drivers/net/mlx4/mlx4_glue.h
index 5d9e985495..96d5cb16b4 100644
--- a/drivers/net/mlx4/mlx4_glue.h
+++ b/drivers/net/mlx4/mlx4_glue.h
@@ -23,7 +23,6 @@ 
 #define MLX4_GLUE_VERSION ""
 #endif
 
-/* LIB_GLUE_VERSION must be updated every time this structure is modified. */
 struct mlx4_glue {
 	const char *version;
 	int (*fork_init)(void);